class net::nrpe {
  class {'sunet::nagios::nrpe':
    checks => [
      'nrpe_check_apt',
      'nrpe_check_boot',
      'nrpe_check_dynamic_disk',
      'nrpe_check_entropy',
      'nrpe_check_load',
      'nrpe_check_memory',
      'nrpe_check_needrestart',
      'nrpe_check_ntp_time',
      'nrpe_check_reboot',
      'nrpe_check_root',
      'nrpe_check_scriptherder',
      'nrpe_check_total_procs_lax',
      'nrpe_check_uptime',
      'nrpe_check_users',
      'nrpe_check_var',
      'nrpe_check_zombie_procs',
    ]

    nagioscfg::service {'check_baas2-restore-status':
        host_name      => ['baas2-restoretest-prod-1.sunet.se'],
        check_command  => "check_command  => 'check_nrpe_1arg!check_baas2-restore-status',",
        description    => 'Validates that baas2 restores are working as intended',
        contact_groups => ['alerts']
    }
  }
}
